package cn.com.ctop.alarm.modules.service.impl;

import cn.com.ctop.alarm.modules.entity.AlarmRuleRecord;
import cn.com.ctop.alarm.modules.mapper.AlarmRuleRecordMapper;
import cn.com.ctop.alarm.modules.service.IAlarmRuleRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 预警规则记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-01-18
 */
@Service
public class AlarmRuleRecordServiceImpl extends ServiceImpl<AlarmRuleRecordMapper, AlarmRuleRecord> implements IAlarmRuleRecordService {

    @Autowired
    private AlarmRuleRecordMapper alarmRuleRecordMapper;

    @Override
    public void deleteByTime() {
        alarmRuleRecordMapper.deleteByTime();
    }
}
