package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.service.AccountAttributionInfoService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class AccountAttributionInfoJob {
    @Autowired
    private AccountAttributionInfoService accountAttributionInfoService;

    @XxlJob("reloadAccountAttributionInfo")
    public void execute() throws Exception {
        accountAttributionInfoService.reloadData();
    }
}
