package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouActivityInfo;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 快分销-招商信息
 *
 * @author jeecg-boot
 * 2023-01-10
 * @version V1.0
 */
public interface IKuaiShouActivityInfoService extends IService<KuaiShouActivityInfo> {

    void getActivityInfo(Long regimentalId, String cookie, Integer offset) throws Exception;

    List<JSONObject> getActivityIdList(Long id);

    Map<Long, Integer> getItemMap();
}
