package cn.com.ctop.kuaishou.modules.document.controller;

import cn.com.ctop.kuaishou.modules.document.service.AuditRejectedResubmitService;
import org.jeecg.common.api.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Description: 拒审重提
 * @Author: zzy
 * @Date: 2021-09-06
 * @Version: V1.0
 */
@RestController
@RequestMapping("/rejected/audit")
public class AuditRejectedResubmitController {

    @Autowired
    AuditRejectedResubmitService auditRejectedResubmitService;

    /**
     * 拒审重提
     *
     * @param
     * @return
     */
    @PostMapping("/resubmit")
    public Result resubmit() {
        return auditRejectedResubmitService.resubmit();

    }
}
