package cn.com.ctop.kuaishou.modules.material.mapper;

import cn.com.ctop.kuaishou.modules.material.entity.EtlKuaishouVideoInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手视频报表信息
 *
 * @author: jeecg-boot
 * @date: 2021-02-20
 * @cersion: V1.0
 */
public interface EtlKuaishouVideoInfoMapper extends BaseMapper<EtlKuaishouVideoInfo> {

    String getVideoMinDate(@Param(value = "signature") String signature);

    void replaceVideoInfo(@Param(value = "etlKuaishouVideoInfo") EtlKuaishouVideoInfo etlKuaishouVideoInfo);

    void addBatch(@Param("addList") List<EtlKuaishouVideoInfo> addList);

    String getPhotoName(@Param("signature") String signature);

    Integer getByMd5(@Param("signature") String signature);
}
