package cn.com.ctop.toutiao.modules.material.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 头条账户通用文案数据
 * @author jeecg-boot
 * @date   2021-05-24
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_account_common_slogen")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_account_common_slogen对象", description="头条账户通用文案数据")
public class BytedanceAccountCommonSlogen {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**slogen*/
	@Excel(name = "slogen", width = 15)
    @ApiModelProperty(value = "slogen")
	private String slogen;
	/**accountId*/
	@Excel(name = "accountId", width = 15)
    @ApiModelProperty(value = "accountId")
	private Integer accountId;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
	/**status*/
	@Excel(name = "status", width = 15)
    @ApiModelProperty(value = "status")
	private Integer status;
}
