package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChain;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChainSettlement;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手电商-供应链订单信息
 * @author jeecg-boot
 * 2022-12-01
 * @version V1.0
 */
public interface KuaishouSupplyChainMapper extends BaseMapper<KuaishouSupplyChain> {

    void replace(@Param(value = "adds") List<KuaishouSupplyChain> supplyChains);

    List<JSONObject>  getCookie();

    void replaceSettlement(@Param(value = "adds") List<KuaishouSupplyChainSettlement> supplyChains);

    List<JSONObject> getDataList(@Param("statDate") Long statDate);

    List<JSONObject> getPromoterDataList(@Param("statDate") Long statDate);

    void deletePromoterBindChannelByDate(@Param("date") Long date);

    void cleanKuaiShouPromoterBindChannel(@Param("date") Long date);

    List<JSONObject> getSamplesData(@Param("startDate") String startDate);

    void cleanBytedancePromoterBindChannel(@Param("date") Long date);

    void deleteMgsPromoterBindChannelByDate(@Param("date") Long date);

    void cleanMgsKuaiShouPromoterBindChannel(@Param("date") Long date);

    List<JSONObject> getMgsDataList(@Param("statDate") Long statDate);

    List<JSONObject> getRocketDataList(Long statDate);

    void deleteRocketPromoterBindChannelByDate(@Param("date") Long date);

    void cleanRocketKuaiShouPromoterBindChannel(@Param("date") Long date);

    void replaceRuiXuanCcr(@Param("adds") List<JSONObject> adds);

    void replaceMiaoGouSICcr(@Param("adds") List<JSONObject> adds);

    void replaceRocketCcr(@Param("adds") List<JSONObject> adds);

    List<JSONObject> getMgsCookie();

    List<JSONObject> getRocketCookie();
}
