package cn.com.ctop.kuaishou.modules.dimension.service.impl;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionRegionConfig;
import cn.com.ctop.kuaishou.modules.dimension.mapper.KuaiShouDimensionRegionConfigMapper;
import cn.com.ctop.kuaishou.modules.dimension.service.IKuaiShouDimensionRegionConfigService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 地域配置
 *
 * @author jeecg-boot
 * 2021-07-21
 * @version V1.0
 */
@Service
public class KuaiShouDimensionRegionConfigServiceImpl extends ServiceImpl<KuaiShouDimensionRegionConfigMapper, KuaiShouDimensionRegionConfig> implements IKuaiShouDimensionRegionConfigService {

    @Override
    public List<KuaiShouDimensionRegionConfig> getConfigList() {
        QueryWrapper<KuaiShouDimensionRegionConfig> queryWrapper = new QueryWrapper<>();
        return this.list(queryWrapper);
    }
}
